Package Halberd :: Module logger

[show private | hide private]
[frames | no frames]

## Module Halberd.logger

Logger singleton.

This module allows halberd to easily log certain events.

Function Summary
`object` | ``getLogger`()` Get a reference to an instance of a logger object.
| ``setDebug`()` Set the logging level to `debug`.
| ``setError`()` Set the logging level to `error`.

Function Details

### getLogger()

Get a reference to an instance of a logger object.

  Returns:
    reference to a logger.
    (type=`object`)

### setDebug()

Set the logging level to `debug`.

### setError()

Set the logging level to `error`.

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net